/*
 * This file is part of XFellow.
 *
 * callbacks.c - GTK+ callbacks functions
 * Copyright 2000-2001 by Dan Sutherland <dan@dillinja.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#include <gtk/gtk.h>
#include <stdio.h>

#include "defs.h"
#include "config.h"
#include "interface.h"
#include "gui.h"
#include "callbacks.h"

void on_btnImgSel0_clicked(GtkButton *button, gpointer data)
{
	guiGetFileName(txtConfDF0);
}

void on_btnImgSel1_clicked(GtkButton *button, gpointer data)
{
	guiGetFileName(txtConfDF1);
}

void on_btnImgSel2_clicked(GtkButton *button, gpointer data)
{
	guiGetFileName(txtConfDF2);
}

void on_btnImgSel3_clicked(GtkButton *button, gpointer data)
{
	guiGetFileName(txtConfDF3);
}

void on_btnImgEject0_clicked(GtkButton *button, gpointer data)
{
	gtk_entry_set_text(GTK_ENTRY(txtConfDF0), "");
}

void on_btnImgEject1_clicked(GtkButton *button, gpointer data)
{
	gtk_entry_set_text(GTK_ENTRY(txtConfDF1), "");
}

void on_btnImgEject2_clicked(GtkButton *button, gpointer data)
{
	gtk_entry_set_text(GTK_ENTRY(txtConfDF2), "");
}

void on_btnImgEject3_clicked(GtkButton *button, gpointer data)
{
	gtk_entry_set_text(GTK_ENTRY(txtConfDF3), "");
}

void on_btnKickImageSel_clicked(GtkButton *button, gpointer data)
{
	guiGetFileName(txtKickImage);
}

void on_btnKickKeySel_clicked(GtkButton *button, gpointer data)
{
	guiGetFileName(txtKickKey);
}

void on_btnFilesysAdd_clicked(GtkButton *button, gpointer data)
{

}

void on_btnFilesysEdit_clicked(GtkButton *button, gpointer data)
{

}

void on_btnFilesysRemove_clicked(GtkButton *button, gpointer user_data)
{

}

void on_btnHardfileCreate_clicked(GtkButton *button, gpointer user_data)
{

}

void on_btnHardfileAdd_clicked(GtkButton *button, gpointer user_data)
{

}

void on_btnHardfileEdit_clicked(GtkButton *button, gpointer user_data)
{

}

void on_btnHardfileRemove_clicked(GtkButton *button, gpointer user_data)
{

}

void on_mnuOpenConfiguration_activate(GtkMenuItem *menuitem, gpointer user_data)
{
	guiLoadSaveCfg(TRUE);
}

void on_mnuSaveConf_activate(GtkMenuItem *menuitem, gpointer user_data)
{
	if(strcmp(current_cfg_filename, "") == 0) {
		guiLoadSaveCfg(FALSE);
	} else {
		disk2cfg();
		cfgSaveToFilename(xcfg, current_cfg_filename);
	}
}

void on_mnuSaveConfAs_activate(GtkMenuItem *menuitem, gpointer user_data)
{
	guiLoadSaveCfg(FALSE);
}

void on_mnuAbout_activate(GtkMenuItem *menuitem, gpointer data)
{
	GtkWidget *ab = create_winAbout();
	gtk_widget_show(ab);
}

void on_btnEmuStart_clicked(GtkButton *button, gpointer user_data)
{
	emuStart();
}


void on_btnFilesysConfOK_clicked(GtkButton *button, gpointer user_data)
{

}

void on_btnFilesysConfCancel_clicked(GtkButton *button, gpointer user_data)
{

}

void on_btnDebug_clicked(GtkButton *button, gpointer user_data)
{

}

void on_btnHardReset_clicked(GtkButton *button, gpointer user_data)
{

}

void on_btnConfig_clicked(GtkButton *button, gpointer data)
{
	disk2cfg();
	cfg2gui();
	gtk_widget_show(conf_win);
}

void on_btnEmuQuit_clicked(GtkButton *button, gpointer user_data)
{
	quit_emu = TRUE;
	gtk_widget_hide(main_win);
	gtk_main_quit();
}

void on_winMain_delete_event(GtkWidget *win, gpointer user_data)
{

}

void on_btnConfOK_clicked(GtkButton *button, gpointer data)
{
	gui2cfg();
	gtk_widget_hide(conf_win);
	cfg2disk();
}

void on_btnConfCancel_clicked(GtkButton *button, gpointer data)
{
	gtk_widget_hide(conf_win);
}

void on_btnMainSelect0_clicked(GtkButton *button, gpointer data)
{
	guiGetFileName(txtDF0);
}

void on_btnMainSelect1_clicked(GtkButton *button, gpointer data)
{
        guiGetFileName(txtDF1);
}

void on_btnMainSelect2_clicked(GtkButton *button, gpointer data)
{
	guiGetFileName(txtDF2);
}

void on_btnMainSelect3_clicked(GtkButton *button, gpointer data)
{
	guiGetFileName(txtDF3);
}

void on_btnMainEject0_clicked(GtkButton *button, gpointer data)
{
	gtk_entry_set_text(GTK_ENTRY(txtDF0), "");
}

void on_btnMainEject1_clicked(GtkButton *button, gpointer data)
{
	gtk_entry_set_text(GTK_ENTRY(txtDF1), "");
}

void on_btnMainEject2_clicked(GtkButton *button, gpointer data)
{
	gtk_entry_set_text(GTK_ENTRY(txtDF2), "");
}

void on_btnMainEject3_clicked(GtkButton *button, gpointer data)
{
	gtk_entry_set_text(GTK_ENTRY(txtDF3), "");
}

void on_btnHardfileNewSelect_clicked(GtkButton *button, gpointer data)
{

}

void on_btnHardfileCreateOK_clicked(GtkButton *button, gpointer data)
{

}

void on_btnHardfileCreateCancel_clicked(GtkButton *button, gpointer data)
{

}

