/*
 * This file is part of XFellow.
 *
 * gui.h - prototypes and other GUI-related stuff
 * Copyright 2000-2001 by Dan Sutherland <dan@dillinja.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#ifndef GUI_H
#define GUI_H

#define MAX_FILENAME_LEN 4096

typedef enum { FSEL_MODE_FILE_TO_ENTRY, FSEL_MODE_LOAD_CFG, FSEL_MODE_SAVE_CFG } FselModes;

typedef struct {
	GtkWidget *fsel;
	GtkWidget *txtbox;
	FselModes mode;
} FselInfo;

void guiGetFileName(GtkWidget *);
void guiLoadSaveCfg(BOOLE);
void onFselOKClicked(GtkWidget *, FselInfo *);
void disk2cfg();
void cfg2disk();

extern FselInfo fsel_info;
extern BOOLE quit_emu;
extern STR current_cfg_filename[MAX_FILENAME_LEN];
extern cfg *xcfg;

extern GtkWidget *main_win;
extern GtkWidget *conf_win;

#endif /* ndef GUI_H */

